jsduck not found
Closed, ResolvedPublic

Description

Previously jsduck was installed globally on CI. Something seems to have broken this
Seen on:
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MobileFrontend/+/441172/
Blocking merges.

Issue in the mwext-jsduck-publish job?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2018, 3:40 PM
Jdlrobson triaged this task as High priority.Jun 20 2018, 3:40 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: MediaWiki-Docker.
Jdlrobson updated the task description. (Show Details)

That one is my fault, I thought jsduck has been phased out entirely from the master branches in favor of JSDoc T138401

I have to add it to the Quibble image :/

Change 441230 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: add JSDuck to Quibble images

https://gerrit.wikimedia.org/r/441230

Change 441231 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Bump Quibble jobs to 0.0.18-2 for JSDuck

https://gerrit.wikimedia.org/r/441231

Mentioned in SAL (#wikimedia-releng) [2018-06-20T16:32:28Z] <hashar> Rebuilding Quibble images to get jsduck included in the image | T197806

Change 441230 merged by jenkins-bot:
[integration/config@master] docker: add JSDuck to Quibble images

https://gerrit.wikimedia.org/r/441230

The Docker containers are being rebuild which takes roughly half an hour. Once completed, we would "just" need to update the jenkins jobs with https://gerrit.wikimedia.org/r/441231

hashar claimed this task.Jun 20 2018, 4:35 PM

Mentioned in SAL (#wikimedia-releng) [2018-06-20T17:33:29Z] <hashar> Refreshing Quibble Jenkins jobs to use 0.0.18-2 docker image. That adds JSDuck | T197806

Change 441231 merged by jenkins-bot:
[integration/config@master] Bump Quibble jobs to 0.0.18-2 for JSDuck

https://gerrit.wikimedia.org/r/441231

hashar closed this task as Resolved.Jun 20 2018, 5:50 PM

Seems to be working now:

00:02:54.546 INFO:test.run_extskin:Running "npm test" for MobileFrontend
....
00:04:14.714 > @ doc /workspace/src/extensions/MobileFrontend
00:04:14.714 > jsduck
00:04:14.714 
00:04:43.601 INFO:test.run_extskin:MobileFrontend: git clean -xqdf

Sorry for the mess up

Vvjjkkii renamed this task from jsduck not found to pkaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed hashar as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.